aboutsummaryrefslogtreecommitdiff
path: root/installer/install-groovy-language-server.sh
diff options
context:
space:
mode:
authormattn <mattn.jp@gmail.com>2019-12-30 10:37:58 +0900
committerGitHub <noreply@github.com>2019-12-30 10:37:58 +0900
commit796a6b950a3c520ec24139836135c35364cf941d (patch)
treedc1dba853547858a261782ff14044c932fee367e /installer/install-groovy-language-server.sh
parent7c7a737b311968aba92251d71775d0bb5555403d (diff)
parent2712522c63cb18afa0b69f987b05cd6d25d6cb52 (diff)
downloadvim-lsp-settings-796a6b950a3c520ec24139836135c35364cf941d.tar.gz
vim-lsp-settings-796a6b950a3c520ec24139836135c35364cf941d.tar.bz2
vim-lsp-settings-796a6b950a3c520ec24139836135c35364cf941d.zip
Merge pull request #46 from johejo/feature/support_groovy
feature: support groovy
Diffstat (limited to 'installer/install-groovy-language-server.sh')
-rwxr-xr-xinstaller/install-groovy-language-server.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/installer/install-groovy-language-server.sh b/installer/install-groovy-language-server.sh
new file mode 100755
index 0000000..6b33f55
--- /dev/null
+++ b/installer/install-groovy-language-server.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+cd $(dirname $0)
+
+server_dir="../servers/groovy-language-server"
+[ -d $server_dir ] && rm -rf $server_dir
+mkdir $server_dir && cd $server_dir
+
+git clone --depth=1 https://github.com/prominic/groovy-language-server .
+./gradlew build
+
+cat <<EOF >groovy-language-server
+#!/bin/sh
+
+DIR=\$(cd \$(dirname \$0); pwd)
+java -jar \$DIR/build/libs/groovy-language-server-all.jar
+EOF
+
+chmod +x groovy-language-server